#ifndef __LS020_H__
#define __LS020_H__


//////////////////////////////////
#define SKY 0x54FB
#define BLACK 0x0000
#define WHITE 0xFFFF
#define GREEN 0x07E0
#define BLUE 0x7FF0                         // DEFINE COLORS
#define RED 0xF800
#define YELLOW 0xDEE0
#define ORANGE 0xAB00
#define PINK 0xF97F
#define BROWN 0x8200
#define GREY 0x8410
#define VIOLET 0x91D4 


#define DISP_W       132
#define DISP_H       176
#define CHAR_H       14
#define CHAR_W       8
#define m_wColor 0x0000 
#define m_wBackColor 0x07E0
//////////////////////////////////

 


extern void send_data(short dat);
extern void send_cmd(short cmd);
extern void ls020_init_lcd(void);
extern void ls020_8bit_mode(char BGR);
extern void ls020_16bit_mode(void);
extern void LCD_PutChar(short x, short y, char c, short rot);
extern void LCD_PutStr(short x, short y, char *s, short rot);
extern void ls020_set_window(char x1, char y1, char x2,char y2);
extern void ls020_rectangle8(char y1, char x1, char y2, char x2, short color);
extern void ls020_scroll(char offset);
extern void draw_table(void);
extern void delay_ms(int d);
extern void delay_us(int d);


#endif 


